#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xkeyboard-config
Version		:	2.35.1
Release		:	14.4.0.0%{?dist}
Summary		:	XKB data
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://cgit.freedesktop.org/xkeyboard-config
#https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/tags

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The X Keyboard (XKB) Extension essentially replaces the core protocol
definition of a keyboard. The extension makes it possible to specify
clearly and explicitly most aspects of keyboard behaviour on a per-key
basis, and to track more closely the logical and physical state of a
keyboard. It also includes a number of keyboard controls designed to
make keyboards more accessible to people with physical impairments.

There are five components that define a complete keyboard mapping:
symbols, geometry, keycodes, compat, and types; these five components
can be combined together using the 'rules' component of the database
provided by this project, xkeyboard-config.

The complete specification for the XKB Extension can be found here:

http://xfree86.org/current/XKBproto.pdf

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README
%{_datadir}/X11/xkb/compat/*
%{_datadir}/X11/xkb/geometry/*
%{_datadir}/X11/xkb/keycodes/*
%{_datadir}/X11/xkb/rules/*
%{_datadir}/X11/xkb/symbols/*
%{_datadir}/X11/xkb/types/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pkgconfig/%{name}.pc
%{_mandir}/man7/*.7.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
  -E 's/(ln -s)/\1f/'					\
  rules/meson.build

meson							\
	$XORG_CONFIG					\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	_build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C _build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C _build					\
	install

#-----------------------------------------------------------------------------
%changelog
